PHP 7.3 + lsapi handler not working

IdleServ

Well-Known Member
Oct 27, 2003
52
2
158
Using EA4 and I have just installed ea-php73.

If I set it's handler to lsapi, the source code of the PHP script is downloaded to the browser.

I cannot figure out what is missing here, seems Apache just doesn't know how to handle
application/x-httpd-ea-php73___lsphp.

All other PHP versions continue to work find under lsapi.

Code:
[[email protected] etc]# rpm -qa | grep -i lsapi
liblsapi-devel-1.1-37.el6.cloudlinux.x86_64
liblsapi-1.1-37.el6.cloudlinux.x86_64
ea-apache24-mod_lsapi-1.1-37.el6.cloudlinux.x86_64
Code:
[[email protected] etc]# cat /etc/apache2/conf.d/php.conf
# This file was automatically generated by the Cpanel php
# Configuration system.  If you wish to change the way php is being
# handled by Apache on your system, use the
# /usr/local/cpanel/bin/rebuild_phpconf script or the WHM interface.
#
# Manual edits of this file will be lost when the configuration is
# rebuilt.

# lsapi configuration for ea-php52
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php52___lsphp .php .php5 .phtml
</IfModule>

# lsapi configuration for ea-php53
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php53___lsphp .php .php5 .phtml
</IfModule>

# lsapi configuration for ea-php54
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php54___lsphp .php .php5 .phtml
</IfModule>

# lsapi configuration for ea-php55
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php55___lsphp .php .php5 .phtml
</IfModule>

# lsapi configuration for ea-php56
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php56___lsphp .php .php5 .phtml
</IfModule>

# lsapi configuration for ea-php70
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php70___lsphp .php .php7 .phtml
</IfModule>

# lsapi configuration for ea-php71
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php71___lsphp .php .php7 .phtml
</IfModule>

# lsapi configuration for ea-php73
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php73___lsphp .php .php7 .phtml
</IfModule>

# Set ea-php72 as the system default for php
<IfModule mime_module>
  AddHandler application/x-httpd-ea-php72___lsphp .php .php7 .phtml
</IfModule>
# lsapi configuration for ea-php72
<IfModule lsapi_module>
    lsapi_engine On
    AddHandler application/x-httpd-ea-php72___lsphp .php .php7 .phtml
</IfModule>


# End of autogenerated php configuration.
 
Last edited: